{
	"name": "form/nc/erp-sync/ksef/column/ksef-file-list.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"variable": "calc.file_name",
			"name": "File",
			"width": 140
		},
		{
			"variable": "calc.file_change",
			"name": "File change",
			"name_fi": "Muutos",
			"type": "timestamp",
			"format": "%Y-%m-%d %H:%M:%S",
			"width": 150
		},
		{
			"change_compare": false,
			"variable": "ord.json_data.error",
			"name": "Err.",
			"width": 40,
			"cell_class_rules": {
				"darkred": "x && x != ''"
			}
		},
		{
			"change_compare": false,
			"variable": "json_data.import_text",
			"name": "XML",
			"width": 60,
			"format": "xml",
			"cell_class_rules": {
				"blue": "x && x != ''"
			}
		},
		{
			"change_compare": false,
			"variable": "json_data.html_text",
			"name": "HTML",
			"width": 60,
			"format": "xml",
			"organization_id": { "": { "load": false }, "4d": { "load": false } },
			"cell_class_rules": {
				"lightgreen-bg": "x && x != ''"
			}
		},
		{
			"change_compare": false,
			"variable": "json_data.html_text_en",
			"name": "HTML-en",
			"width": 80,
			"format": "xml",
			"organization_id": { "": { "load": false }, "4d": { "load": false } },
			"cell_class_rules": {
				"lightgreen-bg": "x && x != ''"
			}
		},
		{
			"field": "order_id",
			"name": "Order",
			"name_fi": "Tilaus",
			"width": 100
		},
		{
			"field": "json_data.buyer.name",
			"name": "Buyer",
			"name_fi": "Ostaja",
			"width": 180
		},
		{
			"field": "json_data.buyer.vat_number",
			"name": "Buyer VAT",
			"name_fi": "Ostajan ALV",
			"width": 120
		},
		{
			"field": "price_without_vat",
			"name": "Price vat 0%",
			"name_fi": "Hinta alv 0%",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "price_with_vat",
			"name": "Price total",
			"name_fi": "Hinta yht.",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "currency_id",
			"name": "Curr.",
			"name_fi": "Valuutta",
			"width": 60
		},
		{
			"change_compare": false,
			"variable": "ordr",
			"name": "Ord. row",
			"name_fi": "Tilausrivit",
			"width": 2000
		},
		{
			"change_compare": false,
			"variable": "json_data.schema",
			"name": "Schema",
			"width": 90
		}
	]
}
